UsernamePasswordCredentials (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.UsernamePasswordCredentials class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class UsernamePasswordCredentials

    java.lang.Object
      org.apache.commons.httpclient.UsernamePasswordCredentials

All Implemented Interfaces:
  Credentials

Direct Known Subclasses:
  NTCredentials

    public class UsernamePasswordCredentials

extends Object
implements Credentials

Username and password `Credentials`.

Version:
  $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
Author:
  Remy Maucherat, Sean C. Sullivan, Mike Bowler, Oleg Kalnichevski

Constructor Summary
`UsernamePasswordCredentials()` Deprecated. Do not use. Null user name no longer allowed
`UsernamePasswordCredentials(String usernamePassword)` The constructor with the username and password combined string argument.
`UsernamePasswordCredentials(String userName, String password)` The constructor with the username and password arguments.

Method Summary
`boolean` | `equals(Object o)` These credentials are assumed equal if the username and password are the same.
`String` | `getPassword()` Password property getter.
`String` | `getUserName()` User name property getter.
`int` | `hashCode()` Does a hash of both user name and password.
`void` | `setPassword(String password)` Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable
`void` | `setUserName(String userName)` Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable
`String` | `toString()` Get this object string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UsernamePasswordCredentials

    public UsernamePasswordCredentials()

  Deprecated. Do not use. Null user name no longer allowed

  Default constructor.

### UsernamePasswordCredentials

    public UsernamePasswordCredentials(String usernamePassword)

  The constructor with the username and password combined string argument.

  Parameters:
    `usernamePassword` - the username:password formed string
  See Also:
    `toString()`

### UsernamePasswordCredentials

    public UsernamePasswordCredentials(String userName,
                                       String password)

  The constructor with the username and password arguments.

  Parameters:
    `userName` - the user name
    `password` - the password

Method Detail

### setUserName

    public void setUserName(String userName)

  Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable

  User name property setter. User name may not be null.

  Parameters:
    `userName` -
  See Also:
    `getUserName()`

### getUserName

    public String getUserName()

  User name property getter.

  Returns:
    the userName
  See Also:
    `setUserName(String)`

### setPassword

    public void setPassword(String password)

  Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable

  Password property setter.

  Parameters:
    `password` -
  See Also:
    `getPassword()`

### getPassword

    public String getPassword()

  Password property getter.

  Returns:
    the password
  See Also:
    `setPassword(String)`

### toString

    public String toString()

  Get this object string.

  Overrides:
    `toString` in class `Object`
  Returns:
    the username:password formed string

### hashCode

    public int hashCode()

  Does a hash of both user name and password.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    The hash code including user name and password.

### equals

    public boolean equals(Object o)

  These credentials are assumed equal if the username and password are the same.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - The other object to compare with.
  Returns:
    `true` if the object is equivalent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.